MS10-054: Vulnerabilities in SMB Server Could Allow Remote Code Execution (982214) (remote check)

Critical Nessus Plugin ID 48405


It is possible to execute arbitrary code on the remote Windows host due to flaws in its SMB implementation.


The remote host is affected by several vulnerabilities in the SMB server that may allow an attacker to execute arbitrary code or perform a denial of service against the remote host. These vulnerabilities depend on access to a shared drive, but do not necessarily require credentials.


Microsoft has released a set of patches for Windows XP, Vista, 2008, 7, and 2008 R2.

See Also

Plugin Details

Severity: Critical

ID: 48405

File Name: smb_pool_overflow.nasl

Version: $Revision: 1.17 $

Type: remote

Agent: windows

Family: Windows

Published: 2010/08/23

Modified: 2017/08/30

Dependencies: 10396, 25240

Risk Information

Risk Factor: Critical


Base Score: 10

Temporal Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows

Required KB Items: SMB/accessible_shares/1

Excluded KB Items: SMB/not_windows

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/08/10

Vulnerability Publication Date: 2010/08/10

Exploitable With

Core Impact

Reference Information

CVE: CVE-2010-2550, CVE-2010-2551, CVE-2010-2552

BID: 42224, 42263, 42267

OSVDB: 66974, 66975, 66976

EDB-ID: 14607

MSFT: MS10-054

MSKB: 982214